Create automation
curl --request POST \
--url https://api.notifique.dev/v1/automations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Exemplo",
"graph": {
"steps": [
{
"stepKey": "string",
"stepType": "trigger"
}
],
"connections": [
{
"from": "5511999999999",
"to": "5511999999999",
"branch": "true"
}
],
"nodeLayout": {}
},
"status": "DISABLED"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Exemplo',
graph: {
steps: [{stepKey: 'string', stepType: 'trigger'}],
connections: [{from: '5511999999999', to: '5511999999999', branch: 'true'}],
nodeLayout: {}
},
status: 'DISABLED'
})
};
fetch('https://api.notifique.dev/v1/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/automations"
payload = {
"name": "Exemplo",
"graph": {
"steps": [
{
"stepKey": "string",
"stepType": "trigger"
}
],
"connections": [
{
"from": "5511999999999",
"to": "5511999999999",
"branch": "true"
}
],
"nodeLayout": {}
},
"status": "DISABLED"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/automations"
payload := strings.NewReader("{\n \"name\": \"Exemplo\",\n \"graph\": {\n \"steps\": [\n {\n \"stepKey\": \"string\",\n \"stepType\": \"trigger\"\n }\n ],\n \"connections\": [\n {\n \"from\": \"5511999999999\",\n \"to\": \"5511999999999\",\n \"branch\": \"true\"\n }\n ],\n \"nodeLayout\": {}\n },\n \"status\": \"DISABLED\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true
}
Automações
Create automation
Create a new automation.
POST
/
v1
/
automations
Create automation
curl --request POST \
--url https://api.notifique.dev/v1/automations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Exemplo",
"graph": {
"steps": [
{
"stepKey": "string",
"stepType": "trigger"
}
],
"connections": [
{
"from": "5511999999999",
"to": "5511999999999",
"branch": "true"
}
],
"nodeLayout": {}
},
"status": "DISABLED"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Exemplo',
graph: {
steps: [{stepKey: 'string', stepType: 'trigger'}],
connections: [{from: '5511999999999', to: '5511999999999', branch: 'true'}],
nodeLayout: {}
},
status: 'DISABLED'
})
};
fetch('https://api.notifique.dev/v1/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/automations"
payload = {
"name": "Exemplo",
"graph": {
"steps": [
{
"stepKey": "string",
"stepType": "trigger"
}
],
"connections": [
{
"from": "5511999999999",
"to": "5511999999999",
"branch": "true"
}
],
"nodeLayout": {}
},
"status": "DISABLED"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/automations"
payload := strings.NewReader("{\n \"name\": \"Exemplo\",\n \"graph\": {\n \"steps\": [\n {\n \"stepKey\": \"string\",\n \"stepType\": \"trigger\"\n }\n ],\n \"connections\": [\n {\n \"from\": \"5511999999999\",\n \"to\": \"5511999999999\",\n \"branch\": \"true\"\n }\n ],\n \"nodeLayout\": {}\n },\n \"status\": \"DISABLED\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true
}
Authorizations
ntfAutoBearerAuthntfAutoApiKeyHeader
Authorization: Bearer sk_live_...
Body
application/json
Required string length:
1 - 256Grafo acíclico (DAG) com exatamente um trigger. Arestas a partir de condition exigem branch: true | false.
Show child attributes
Show child attributes
Example:
{ "steps": [ { "stepKey": "string", "stepType": "trigger" } ], "connections": [ { "from": "5511999999999", "to": "5511999999999", "branch": "true" } ], "nodeLayout": {} }
Available options:
ENABLED, DISABLED Response
Criada (resposta sem graphJson).
Resposta JSON vazia (sucesso sem payload).
Example:
true
Was this page helpful?

